Perform actions on Agent Credentials
curl --request POST \
--url https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "SECRET_REFRESH"
}
'import requests
url = "https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/credentials"
payload = { "action": "SECRET_REFRESH" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'SECRET_REFRESH'})
};
fetch('https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientId": "<string>",
"clientSecret": "<string>"
}{
"type": "https://api.matillion.com/problems/bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Failed to read request. Please check your request body.",
"instance": "/v1/agents/{agentId}/credentials"
}{
"type": "https://api.matillion.com/problems/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "You do not have permission to access this resource.",
"instance": "/v1/agents/{agentId}/credentials"
}{
"type": "https://api.matillion.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested agent does not exist.",
"instance": "/v1/agents/{agentId}/credentials"
}{
"type": "https://api.matillion.com/problems/internal-server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "Unexpected error occurred while processing the request.",
"instance": "/v1/agents/{agentId}/credentials"
}Agents
Perform actions on Agent Credentials
Endpoint to perform actions on Agent Credentials such as refreshing them
POST
/
v1
/
agents
/
{agentId}
/
credentials
Perform actions on Agent Credentials
Authorizations
a valid bearer token
Path Parameters
The ID of the agent
Body
application/json
The action to perform for agent credentials.
Available actions are:
- SECRET_REFRESH - Refresh the client secret of the Agent
Available options:
SECRET_REFRESH Example:
"SECRET_REFRESH"
Was this page helpful?
⌘I
